Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Interface ModelListener

All Superinterfaces:
  EventListener, edu.stanford.smi.protege.event.KnowledgeBaseListener, ProtegeKnowledgeBaseListener

All Known Implementing Classes:
  ModelAdapter

    public interface ModelListener

extends ProtegeKnowledgeBaseListener

Author:
  Holger Knublauch

Method Summary
`void` | `classCreated(RDFSClass cls)` Called after a new RDFSClass has been created.
`void` | `classDeleted(RDFSClass cls)` Called after an RDFSClass has been deleted.
`void` | `individualCreated(RDFResource resource)` Called after an individual has been created.
`void` | `individualDeleted(RDFResource resource)` Called after an individual has been deleted.
`void` | `propertyCreated(RDFProperty property)` Called after a property has been created.
`void` | `propertyDeleted(RDFProperty property)` Called after a property has been deleted.
`void` | `resourceNameChanged(RDFResource resource, String oldName)` Called after the name of a resource has changed.

Methods inherited from interface edu.stanford.smi.protegex.owl.model.event.ProtegeKnowledgeBaseListener
`clsCreated, clsDeleted, defaultClsMetaClsChanged, defaultFacetMetaClsChanged, defaultSlotMetaClsChanged, facetCreated, facetDeleted, frameNameChanged, instanceCreated, instanceDeleted, slotCreated, slotDeleted`

Method Detail

### classCreated

    void classCreated(RDFSClass cls)

  Called after a new RDFSClass has been created.

  Parameters:
    `cls` - the new class

### classDeleted

    void classDeleted(RDFSClass cls)

  Called after an RDFSClass has been deleted.

  Parameters:
    `cls` - the deleted class

### individualCreated

    void individualCreated(RDFResource resource)

  Called after an individual has been created.

  Parameters:
    `resource` - the new resource

### individualDeleted

    void individualDeleted(RDFResource resource)

  Called after an individual has been deleted.

  Parameters:
    `resource` - the old resource

### propertyCreated

    void propertyCreated(RDFProperty property)

  Called after a property has been created.

  Parameters:
    `property` - the new property

### propertyDeleted

    void propertyDeleted(RDFProperty property)

  Called after a property has been deleted.

  Parameters:
    `property` - the old property

### resourceNameChanged

    void resourceNameChanged(RDFResource resource,
                             String oldName)

  Called after the name of a resource has changed.

  Parameters:
    `resource` - the resource that changed its name
    `oldName` - the old name of the resource

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.